
import random

def main():
    username = "afer023" #change this to your username
    player_name = "Adriana" #change this name
    option_new_game = 1
    option_see_stats = 2
    option_quit = 0

    number_of_games = 0
    won_by_user = 0
    won_by_computer = 0

    display_introduction('   ', username, player_name)
    selection = option_new_game

    while selection !=  option_quit:
        selection = get_main_menu_selection(" " * 5)

        if selection == option_new_game:
            number_of_games += 1
            winner_name = play_a_game(player_name)

            if winner_name == player_name:
                won_by_user += 1
            elif winner_name == "Computer":
                won_by_computer += 1

        elif selection == option_see_stats:
            display_statistics(player_name, number_of_games, won_by_user, won_by_computer)

    display_statistics(player_name, number_of_games, won_by_user, won_by_computer)
    print()
    print("Thank you for playing Ventuno " + player_name)
    print()
#--------------------------------------------------------------
#--------------------------------------------------------------
# DO NOT CHANGE THE CODE ABOVE THIS LINE EXCEPT FOR THE FIRST LINE
#--------------------------------------------------------------

#--------------------------------------------------------------
# FOUR STAGE 1 FUNCTIONS
#--------------------------------------------------------------
#--------------------------------------------------------------
def display_line_of_symbols(indent, symbol, how_many):
    pass

def display_introduction(indent, username, name):
    pass

def get_main_menu_selection(indent):
    pass

def get_play_menu_selection(indent):
    pass

#--------------------------------------------------------------
#--------------------------------------------------------------
# FIVE STAGE 2 FUNCTIONS
#--------------------------------------------------------------
#--------------------------------------------------------------
def display_current_player(current_player):
    pass

def get_next_player(current_player, player_name):
    pass

def get_random_starting_player_name(player_name):
    pass

def add_dice_roll(current_score, current_player):
    pass

def get_starting_score():
    pass

#--------------------------------------------------------------
#--------------------------------------------------------------
# FIVE STAGE 3 FUNCTIONS
#--------------------------------------------------------------
#--------------------------------------------------------------
def display_current_scores(indent, score_player, score_computer, player_stays, computer_stays, player_name):
    pass

def game_is_over(score_player, score_computer, player_stays, computer_stays):
    pass

def get_winner_name(score_player, score_computer, player_name):
    pass

def display_game_result(indent, score_player, score_computer, game_winner, player_name):
    pass

def display_statistics(player_name, total_number_of_games, games_won_by_user, games_won_by_computer):
    pass

#--------------------------------------------------------------
#--------------------------------------------------------------
# ONE STAGE 4 FUNCTION
#--------------------------------------------------------------
#--------------------------------------------------------------
def get_computer_selection(score_player, score_computer, player_stays):
    return 2

#--------------------------------------------------------------
#--------------------------------------------------------------
# DO NOT CHANGE THE CODE BELOW THIS LINE
#--------------------------------------------------------------
#--------------------------------------------------------------
def play_a_game(player_name):
    ventuno = 21

    player_stays = False
    computer_stays = False

    roll = 1
    stay = 2

    score_player = get_starting_score()
    score_computer = get_starting_score()

    current_player = get_random_starting_player_name(player_name)
    display_current_scores(" " * 5, score_player, score_computer, player_stays, computer_stays, player_name)

    while not game_is_over(score_player, score_computer, player_stays, computer_stays):
        if current_player == "Computer":
            if not computer_stays:
                display_current_player(" " + current_player)
                selection = get_computer_selection(score_player, score_computer, player_stays)

                if selection == roll:
                    score_computer = add_dice_roll(score_computer, "  Computer")
                    if score_computer == ventuno:
                        computer_stays = True
                else:
                    computer_stays = True
        elif not player_stays:
            display_current_player(" " + current_player)
            selection = get_play_menu_selection(' ' * 3)
            print()
            if selection == roll:
                score_player = add_dice_roll(score_player, " " + player_name)
                if score_player == ventuno or (computer_stays and score_player > score_computer):
                    player_stays = True
            elif selection == stay:
                player_stays = True

        display_current_scores(" " * 5, score_player, score_computer, player_stays, computer_stays, player_name)
        current_player = get_next_player(current_player, player_name)


    game_winner = get_winner_name(score_player, score_computer, player_name)
    display_game_result("  ", score_player, score_computer, game_winner, player_name)
    return game_winner

main()
